//---------Copyright (C) 1997 Dallas Semiconductor Corporation--------------
//
//  IBCONST.H   - include file containing TMEX constants.
//
//  Compiler: VC
//  Version: 3.10
//  Revisions:
//

// Memory types as defined in the Family attributes
#define NOMEM                   0
#define NVRAM                   1
#define EPROM1                  2
#define EPROM2                  3   
#define EPROM3                  4   
#define EEPROM1                 5      
#define MNVRAM                  6      

// Used when determining if a function is valid for current ROM
#define READ_FUNCTION           1  // (3.10) switched
#define WRITE_FUNCTION          0

// Used in Creating/Removing directory function
#define CREATE                  0
#define REMOVE                  1    

// Used in internal function Read_Page and page cache
#define STATUSMEM               0x80
#define REGMEM                  0            
#define CACHE_TIMEOUT           8000

// program Job constants
#define PJOB_NONE               0
#define PJOB_WRITE              1
#define PJOB_REDIR              2
#define PJOB_ADD                3
#define PJOB_TERM               4
#define PJOB_START              0x80   
#define PJOB_MASK               0x7F   

// general purpose constants
#define SUCCESS                 1 
#define TRUE                    1
#define FALSE                   0  

// timeings (3.10)
#define TIME_NORMAL             0
#define TIME_OVERDRV            1 
#define TIME_RELAXED            2 

// Primed pulses
#define PRIMED_NONE             0
#define PRIMED_BIT              1                
#define PRIMED_BYTE             2 

// Level Mode
#define LEVEL_NORMAL            0x00    
#define LEVEL_STRONG5V          0x01
#define LEVEL_BREAK             0x02
#define LEVEL_STRONG12V         0x03
